'
'       foldercopy.vbs          2020-11
'
'       Copy chosen folders (arguments) to a selectable target folder,
'       using the Shell methods BrowseForFolder and Folder.CopyHere.
'

Dim args, copyoptions, folder, fspec, msg, n, targetroot

msg = "Determine the target folder."

targetroot = ""     ' one may set this to a desired target drive or folder

copyoptions = 16 + 512      ' FOF_NOCONFIRMATION | FOF_NOCONFIRMMKDIR

args = Wscript.Arguments.Count
If args = 0 Then WScript.Quit

Set folder = GetFolderObj(msg, targetroot, 0)
If folder Is Nothing Then WScript.Quit

For n = 0 To args - 1
    fspec = Wscript.Arguments(n)
    folder.CopyHere fspec, copyoptions
Next

WScript.Quit


Function GetFolderObj(ByVal sTitle, ByVal vRoot, ByVal fNoNew)

    Dim obj, flags

    If vRoot = "" Then vRoot = CInt(17)     ' ssfDRIVES
    flags = 1 + 64 + 256                    ' only FS dirs. + new UI style + hint display
    If fNoNew Then flags = flags + 512      ' no "New Folder" button in the browse dialog box

    Set obj = CreateObject("Shell.Application")
    If obj Is Nothing Then Exit Function
    Set GetFolderObj = obj.BrowseForFolder(0, sTitle, flags, vRoot)

End Function


